Customizing protection for different locations

Customizing protection for different locations copyright 2004 Symantec

Use Network Detector to create and customize security settings for different networks. This makes it easy for mobile users who connect to the Internet from the road to stay protected at all times.

More Information

About Network Detector


About Network Detector

About Network Detector copyright 2004 Symantec

Network Detector lets you customize Program Control and Trusted Zone settings for different locations. A location is a group of security settings that can contain one or more networks.Whenever your computer connects to a network in one of these locations, your security settings are automatically switched to the security settings that are associated with that location.

For example, if you use your laptop to connect to the Internet from home, from work, and from a neighborhood coffeehouse, you are actually connecting to at least three different networks. If you want the same level of security in both your home and office, you could place both networks in a single location. If you want more security in the coffeehouse, you can create a high-security location for that network.

The following preconfigured locations are included:

Office | Low security. Primarily for use on networks containing a hardware firewall.
Home | Medium security. Good for general use.
Away | High security. Primarily for use on public networks.
Default | Security level is based on your current settings.

More Information

Customizing protection for different locations
Create a new location
Add new networks to locations
Customize a location's settings
Remove networks from a location
Delete a location


Create a new location

Create a new location copyright 2004 Symantec

You can also create new locations with customized settings and names. For example, you could create a low-security Hotels location you use while traveling and a high-security Coffeehouse location for wireless networks provided by many coffeehouses.

If you regularly switch between several networks, you may find that this gives you more control over your protection.

You can create a new location from a Network Detector alert and from the main window.

To create a new location from a Network Detector alert

  1. In the Network Detector alert, on the Which location do you want to use menu, select Use custom settings.
  2. In the Use Custom Settings window, click Create new location.
  3. Click Next.
  4. In the Setup Program Control window, do one of the following:
    • Click Yes to turn on Automatic Program Control.
      This reduces the number of alerts that you receive.
    • Click No to turn off Automatic Program Control.
      You will be alerted the first time that programs attempt to connect to the Internet.
  5. Click Next.
  6. In the Save location window, type a name for this new location.
    Choose a unique name so that this location is easy to identify.
  7. Click Next.
  8. In the Save location window, review this location's settings.
  9. Click Finish.

To create a new location from the main window

  1. In the main window, double-click Personal Firewall.
  2. In the Personal Firewall window, on the Locations tab, click Wizard.
  3. In the Setup Program Control window, do one of the following:
    • Click Yes to turn on Automatic Program Control.
      This reduces the number of alerts that you receive.
    • Click No to turn off Automatic Program Control.
      You will be alerted the first time that programs attempt to connect to the Internet.
  4. Click Next.
  5. In the Save location window, type a name for this new location.
    Choose a unique name so that this location is easy to identify.
  6. Click Next.
  7. In the Save location window, review this location's settings.
  8. Click Finish.

More Information

Customizing protection for different locations
About Network Detector
Add new networks to locations
Customize a location's settings
Remove networks from a location


Add new networks to locations

Add new networks to locations copyright 2004 Symantec

Network Detector alerts you every time that your computer connects to an unrecognized network. You can choose to place this network in an existing location or create a new location.

To add a new network to one of the preconfigured locations

  • In the Network Detector alert, on the Which location do you want to use menu, select a location.

To create a new location for this network

  1. In the Network Detector alert, on the Which location do you want to use menu, click Use custom settings.
  2. Use the Network Detector Wizard to create a new location.

To add a new network to a custom location that you have created

  1. In the Network Detector alert, on the Which location do you want to use menu, click Use custom settings.
  2. In the Use custom settings window, on the Choose a location drop-down menu, select the location that you want to use.
  3. Click Finish.

More Information

Customizing protection for different locations
About Network Detector
Create a new location
Customize a location's settings
Remove networks from a location
Delete a location
Learn more about networks
 Create a new location


Learn more about networks

Learn more about networks copyright 2004 Symantec

Network Detector alerts include detailed information about networks that your computer joins.

To learn more about networks

  1. In the Network Detector alert, click Show Details.

    2. The details section of a Network Detector alert includes information about the following:

    Gateway MAC ID | The Media Access Control (MAC) address of this network's router.
Gateway IP address | The IP address of this network's router.
Subnet identifier | The subnet mask used on this network.
Interface type | How your computer is connected to this network.
Interface connection description | Information about the network adapter that made the connection. This is useful if you have multiple network adapters (for example, if you have both an Ethernet connection and a wireless connection).
Domain | This network's domain name (if available).

  2. Click Hide Details to close the details section of the alert.

More Information


Customize a location's settings

Customize a location's settings copyright 2004 Symantec

You can customize the Program Control and Trusted Zone settings for the predefined locations and any new locations that you create. Any changes that you make will apply to all of the networks that use the location.

To customize a location's settings

  1. In the main window, double-click Personal Firewall.
  2. In the Personal Firewall window, do one of the following:
    • To change Automatic Program Control settings, click the Programs tab.
    • To change Trusted Zone settings, click the Networking tab.
  3. In the Settings for menu, select the location you want to customize.
  4. When you are finished making changes, click OK.

More Information

Customizing protection for different locations
About Network Detector
Create a new location
Add new networks to locations
Remove networks from a location


Remove networks from a location

Remove networks from a location copyright 2004 Symantec

If you've added a network to a location, you will not be alerted the next time your computer joins that network. If you want to change a network's security settings, you must clear the location that contains it. The next time that you use a network that had been in this location, Network Detector will ask you to choose a new location.

To clear networks from a location

  1. In the main window, double-click Personal Firewall.
  2. In the Personal Firewall window, on the Location tab, in the list of locations, select the location that you want to clear.
  3. Click Clear.
  4. When you are finished clearing networks, click OK.

More Information

Customizing protection for different locations
About Network Detector
Create a new location
Add new networks to locations
Customize a location's settings


Delete a location

Delete a location copyright 2004 Symantec

If you no longer need a location, or if you want to reassign the networks in a location, delete the location. The next time that you use a network that had been in this location, Network Detector will ask you to choose a new location.

You cannot delete the preconfigured Home, Office, Away, or Default locations.

To delete a location

  1. In the main window, double-click Personal Firewall.
  2. In the Personal Firewall window, on the Locations tab, in the list of locations, select the location that you want to delete.
  3. Click Delete.
  4. When you are finished deleting locations, click OK.

More Information

Customizing protection for different locations
About Network Detector
Create a new location
Add new networks to locations
Customize a location's settings
Remove networks from a location